Package org.apache.sysds.runtime.matrix.operators

# Enum Class CMOperator.AggregateOperationTypes

java.lang.Object
java.lang.Enum<CMOperator.AggregateOperationTypes>
org.apache.sysds.runtime.matrix.operators.CMOperator.AggregateOperationTypes

All Implemented Interfaces:
  `Serializable`, `Comparable<CMOperator.AggregateOperationTypes>`, `Constable`

Enclosing class:
  CMOperator

public static enum CMOperator.AggregateOperationTypes extends Enum<CMOperator.AggregateOperationTypes>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CM2`
`CM3`
`CM4`
`COUNT`
`INVALID`
`MAX`
`MEAN`
`MIN`
`SUM`
`VARIANCE`

## Method Summary

Modifier and Type
Method
Description
`static CMOperator.AggregateOperationTypes`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CMOperator.AggregateOperationTypes[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUM

public static final CMOperator.AggregateOperationTypes SUM

### COUNT

public static final CMOperator.AggregateOperationTypes COUNT

### MEAN

public static final CMOperator.AggregateOperationTypes MEAN

### CM2

public static final CMOperator.AggregateOperationTypes CM2

### CM3

public static final CMOperator.AggregateOperationTypes CM3

### CM4

public static final CMOperator.AggregateOperationTypes CM4

### MIN

public static final CMOperator.AggregateOperationTypes MIN

### MAX

public static final CMOperator.AggregateOperationTypes MAX

### VARIANCE

public static final CMOperator.AggregateOperationTypes VARIANCE

### INVALID

public static final CMOperator.AggregateOperationTypes INVALID

## Method Details

### values

public static CMOperator.AggregateOperationTypes[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CMOperator.AggregateOperationTypes valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null